function CJOptions()

-- Create the options window foor selecting which CJs to show
	CJSettings = Turbine.UI.Lotro.Window();
	CJSettings:SetParent();
	CJSettings:SetPosition(((Turbine.UI.Display.GetWidth() / 2) - 150),((Turbine.UI.Display.GetHeight() / 2) - 200));
	CJSettings:SetSize(300,280);
	CJSettings:SetVisible(false);
	CJSettings:SetText( "  CJ Tome Options");
	CJSettings:SetMouseVisible(true);
	
	CJCheckBlock = Turbine.UI.Label(); -- this just covers the checkbox pictures so they can't be clicked.
	CJCheckBlock:SetParent(CJSettings);
	CJCheckBlock:SetPosition(15,30);
	CJCheckBlock:SetSize(35,210);
	CJCheckBlock:SetVisible(true);
	CJCheckBlock:SetMouseVisible(true);
	CJCheckBlock:SetZOrder(2);
		
	CJChk1 = Turbine.UI.Lotro.CheckBox();
	CJChk1:SetParent(CJSettings);
	CJChk1:SetPosition(30,38);
	CJChk1:SetText( "" );
	CJChk1:SetVisible(true);
	CJChk1:SetSize( 250, 19 );
	CJChk1:SetMouseVisible(false);

	CJ1Lbl = Turbine.UI.Label();
	CJ1Lbl:SetParent(CJSettings);
	CJ1Lbl:SetPosition(50,40);
	CJ1Lbl:SetText( "Show full list of Conjunctions" );
	CJ1Lbl:SetVisible(true);
	CJ1Lbl:SetMouseVisible(true);
	CJ1Lbl:SetSize( 250, 15 );

	CJChk2 = Turbine.UI.Lotro.CheckBox();
	CJChk2:SetParent(CJSettings);
	CJChk2:SetPosition(30,50);
	CJChk2:SetText( "" );
	CJChk2:SetVisible(true);
	CJChk2:SetMouseVisible(false);

	CJ2Lbl = Turbine.UI.Label();
	CJ2Lbl:SetParent(CJSettings);
	CJ2Lbl:SetPosition(50,70);
	CJ2Lbl:SetText( "Show 3-player straights and above" );
	CJ2Lbl:SetVisible(true);
	CJ2Lbl:SetSize( 250, 15 );

	CJChk3 = Turbine.UI.Lotro.CheckBox();
	CJChk3:SetParent(CJSettings);
	CJChk3:SetPosition(30,80);
	CJChk3:SetText( "" );
	CJChk3:SetVisible(true);
	CJChk3:SetMouseVisible(false);

	CJ3Lbl = Turbine.UI.Label();
	CJ3Lbl:SetParent(CJSettings);
	CJ3Lbl:SetPosition(50,100);
	CJ3Lbl:SetText( "Show all 4-player and above" );
	CJ3Lbl:SetVisible(true);
	CJ3Lbl:SetSize( 250, 15 );

	CJChk4 = Turbine.UI.Lotro.CheckBox();
	CJChk4:SetParent(CJSettings);
	CJChk4:SetPosition(30,110);
	CJChk4:SetText( "" );
	CJChk4:SetVisible(true);
	CJChk4:SetMouseVisible(false);

	CJ4Lbl = Turbine.UI.Label();
	CJ4Lbl:SetParent(CJSettings);
	CJ4Lbl:SetPosition(50,130);
	CJ4Lbl:SetText( "Show all 5-player and above" );
	CJ4Lbl:SetVisible(true);
	CJ4Lbl:SetSize( 250, 15 );

	CJChk5 = Turbine.UI.Lotro.CheckBox();
	CJChk5:SetParent(CJSettings);
	CJChk5:SetPosition(30,140);
	CJChk5:SetText( "" );
	CJChk5:SetVisible(true);
	CJChk5:SetMouseVisible(false);

	CJ5Lbl = Turbine.UI.Label();
	CJ5Lbl:SetParent(CJSettings);
	CJ5Lbl:SetPosition(50,160);
	CJ5Lbl:SetText( "Show all 6-player conjunctions" );
	CJ5Lbl:SetVisible(true);
	CJ5Lbl:SetSize( 250, 15 );

	CJChk6 = Turbine.UI.Lotro.CheckBox();
	CJChk6:SetParent(CJSettings);
	CJChk6:SetPosition(30,170);
	CJChk6:SetText( "" );
	CJChk6:SetVisible(true);
	CJChk6:SetMouseVisible(false);

	CJ6Lbl = Turbine.UI.Label();
	CJ6Lbl:SetParent(CJSettings);
	CJ6Lbl:SetPosition(50,190);
	CJ6Lbl:SetText( "Show only 6-player uniques" );
	CJ6Lbl:SetVisible(true);
	CJ6Lbl:SetSize( 250, 15 );

-- Options windows Accept and Cancel buttons
	acceptB = Turbine.UI.Lotro.Button();
	acceptB:SetParent(CJSettings);
	acceptB:SetSize(110,20);
	acceptB:SetPosition(30,235);
	acceptB:SetText("Accept");

	cancelB = Turbine.UI.Lotro.Button();
	cancelB:SetParent(CJSettings);
	cancelB:SetSize(110,20);
	cancelB:SetPosition(160,235);
	cancelB:SetText("Cancel");

-- Because we can't make the Lotro checkboxes behave properly we have to click on the text
	CJHint = Turbine.UI.Label();
	CJHint:SetParent(CJSettings);
	CJHint:SetPosition(40,215);
	CJHint:SetText( "!!Use the text to select!!" );
	CJHint:SetVisible(true);
	CJHint:SetSize( 200, 15 );

	Setting = WhichChecked;

-- Checking which checkbox is changed and stopping a checked box from being deselcted instead of toggled
    CJ1Lbl.MouseClick = function(sender, args)
        if (args.Button == Turbine.UI.MouseButton.Left) then
            CJChk1:SetChecked(true);
			ToggleCheckBoxes();
			WhichChecked = 1;
			SetCheckBoxes();
        end
    end

    CJ2Lbl.MouseClick = function(sender, args)
        if (args.Button == Turbine.UI.MouseButton.Left) then
            CJChk2:SetChecked(true);
			ToggleCheckBoxes();
			WhichChecked = 2;
			SetCheckBoxes();
        end
    end

    CJ3Lbl.MouseClick = function(sender, args)
        if (args.Button == Turbine.UI.MouseButton.Left) then
            CJChk3:SetChecked(true);
			ToggleCheckBoxes();
			WhichChecked = 3;
			SetCheckBoxes();
        end
    end

    CJ4Lbl.MouseClick = function(sender, args)
        if (args.Button == Turbine.UI.MouseButton.Left) then
            CJChk4:SetChecked(true);
			ToggleCheckBoxes();
			WhichChecked = 4;
			SetCheckBoxes();
        end
    end

    CJ5Lbl.MouseClick = function(sender, args)
        if (args.Button == Turbine.UI.MouseButton.Left) then
            CJChk5:SetChecked(true);
			ToggleCheckBoxes();
			WhichChecked = 5;
			SetCheckBoxes();
        end
    end

    CJ6Lbl.MouseClick = function(sender, args)
        if (args.Button == Turbine.UI.MouseButton.Left) then
            CJChk6:SetChecked(true);
			ToggleCheckBoxes();
			WhichChecked = 6;
			SetCheckBoxes();
        end
    end

	acceptB.MouseClick = function(sender,args)
		cX, cY = CJClose:GetPosition();
		bX, bY = CJSlotBar:GetPosition();
		Fi = WhichChecked;
		saveSettings( bX, bY, cX, cY, Fi );
		CJSettings:Close();
		createMenu();
	end

	cancelB.MouseClick = function(sender,args)
		ToggleCheckBoxes();
		WhichChecked = cjtSettings.filter;
		SetCheckBoxes();
		CJSettings:Close();
		Setting = WhichChecked;
	end

		
end

function SetCheckBoxes()
	CB = WhichChecked;
	if (CB == 1) then
		CJChk1:SetChecked( true );
		elseif (CB == 2) then
			CJChk2:SetChecked( true );
		elseif (CB == 3) then
			CJChk3:SetChecked( true );
		elseif (CB == 4) then
			CJChk4:SetChecked( true );
		elseif (CB == 5) then
			CJChk5:SetChecked( true );
		elseif (CB == 6) then
			CJChk6:SetChecked( true );
	end
end

function ToggleCheckBoxes()
	CB = WhichChecked;
	if (CB == 1) then
		CJChk1:SetChecked( false );
		elseif (CB == 2) then
			CJChk2:SetChecked( false );
		elseif (CB == 3) then
			CJChk3:SetChecked( false );
		elseif (CB == 4) then
			CJChk4:SetChecked( false );
		elseif (CB == 5) then
			CJChk5:SetChecked( false );
		elseif (CB == 6) then
			CJChk6:SetChecked( false );
	end
end


